import { Icon, IconProps } from "@chakra-ui/icons";

export const WorldIcon = (props: IconProps) => (
    <Icon viewBox="0 0 24 24" {...props}>
        <g fill="white">
            <path
                d="M23.5 11.984C23.5 14.2585 22.8255 16.4819 21.5619 18.3731C20.2983 20.2642 18.5022 21.7382 16.4009 22.6086C14.2995 23.479 11.9872 23.7068 9.75647 23.263C7.52568 22.8193 5.47658 21.724 3.86828 20.1157C2.25997 18.5074 1.1647 16.4583 0.720974 14.2275C0.277244 11.9968 0.504983 9.6845 1.37539 7.58315C2.2458 5.4818 3.71978 3.68574 5.61095 2.42211C7.50211 1.15847 9.72552 0.484009 12 0.484009C15.05 0.484009 17.9751 1.69561 20.1317 3.85228C22.2884 6.00895 23.5 8.93402 23.5 11.984Z"
                stroke="currentColor"
            />
            <path
                d="M20.147 3.86899L18.938 6.88899C18.8053 7.22091 18.586 7.5112 18.303 7.72963C18.0201 7.94806 17.6837 8.08666 17.329 8.13099L15.2 8.39999C15.1208 8.40998 15.0451 8.4388 14.9793 8.48405C14.9135 8.52929 14.8595 8.58964 14.8218 8.66004C14.7841 8.73044 14.7638 8.80884 14.7626 8.88869C14.7614 8.96854 14.7794 9.04751 14.815 9.11899L15.361 10.21C15.4024 10.2931 15.4662 10.3631 15.5451 10.412C15.6241 10.4609 15.7151 10.4869 15.808 10.487H16.19C16.2751 10.4871 16.3588 10.5089 16.4332 10.5504C16.5075 10.5919 16.57 10.6516 16.6148 10.7241C16.6595 10.7965 16.6851 10.8791 16.689 10.9641C16.6929 11.0492 16.675 11.1338 16.637 11.21L15.052 14.381C15.0182 14.4491 15.0005 14.524 15 14.6V17.046C14.9999 17.3391 14.9353 17.6287 14.8109 17.8941C14.6865 18.1595 14.5052 18.3944 14.28 18.582L12.38 20.162C12.2784 20.2456 12.1479 20.2857 12.0169 20.2738C11.8858 20.2618 11.7648 20.1986 11.68 20.098L10.15 18.262C9.94927 18.0199 9.80844 17.734 9.73894 17.4273C9.66944 17.1207 9.67323 16.8019 9.75 16.497L9.959 15.661C9.98793 15.5451 9.97445 15.4228 9.921 15.316L9.142 13.759C9.10057 13.6759 9.03681 13.6059 8.95786 13.557C8.8789 13.5081 8.78788 13.4821 8.695 13.482H6.995C6.56511 13.4822 6.1466 13.3439 5.80148 13.0876C5.45637 12.8313 5.20302 12.4706 5.079 12.059L4.412 9.86999C4.38803 9.7897 4.38463 9.70467 4.40211 9.62272C4.41958 9.54077 4.45737 9.46452 4.512 9.40099L6.238 7.37699C6.46903 7.10626 6.76812 6.90209 7.10441 6.78554C7.44069 6.66899 7.80198 6.64429 8.151 6.71399L9.451 6.97399C9.48396 6.98035 9.51743 6.98369 9.551 6.98399H13C13.1326 6.98399 13.2598 6.93131 13.3536 6.83754C13.4473 6.74378 13.5 6.6166 13.5 6.48399V5.33799C13.5 4.93829 13.3803 4.54775 13.1562 4.21675C12.9322 3.88575 12.6141 3.62948 12.243 3.48099L11.96 3.36799C11.8722 3.33334 11.7961 3.27455 11.7403 3.19844C11.6845 3.12232 11.6514 3.03198 11.6449 2.93785C11.6383 2.84372 11.6584 2.74964 11.7031 2.6665C11.7477 2.58336 11.8149 2.51453 11.897 2.46799L14.676 0.877991"
                stroke="currentColor"
            />
        </g>
    </Icon>
);

export const UserSupportIcon = (props: IconProps) => (
    <Icon viewBox="0 0 24 24" {...props}>
        <g fill="white">
            <path
                d="M4.5 18H3.75C2.95435 18 2.19129 17.6839 1.62868 17.1213C1.06607 16.5587 0.75 15.7956 0.75 15V12C0.75 11.2044 1.06607 10.4413 1.62868 9.87868C2.19129 9.31607 2.95435 9 3.75 9H4.5C4.69891 9 4.88968 9.07902 5.03033 9.21967C5.17098 9.36032 5.25 9.55109 5.25 9.75V17.25C5.25 17.4489 5.17098 17.6397 5.03033 17.7803C4.88968 17.921 4.69891 18 4.5 18Z"
                stroke="currentColor"
            />
            <path
                d="M20.25 18H19.5C19.3011 18 19.1103 17.921 18.9697 17.7803C18.829 17.6397 18.75 17.4489 18.75 17.25V9.75C18.75 9.55109 18.829 9.36032 18.9697 9.21967C19.1103 9.07902 19.3011 9 19.5 9H20.25C21.0456 9 21.8087 9.31607 22.3713 9.87868C22.9339 10.4413 23.25 11.2044 23.25 12V15C23.25 15.7956 22.9339 16.5587 22.3713 17.1213C21.8087 17.6839 21.0456 18 20.25 18Z"
                stroke="currentColor"
            />
            <path
                d="M3.75 9C3.75 6.81196 4.61919 4.71354 6.16637 3.16637C7.71354 1.61919 9.81196 0.75 12 0.75C14.188 0.75 16.2865 1.61919 17.8336 3.16637C19.3808 4.71354 20.25 6.81196 20.25 9"
                stroke="currentColor"
            />
            <path
                d="M15 21.75H17.25C18.0456 21.75 18.8087 21.4339 19.3713 20.8713C19.9339 20.3087 20.25 19.5456 20.25 18.75V18"
                stroke="currentColor"
            />
            <path
                d="M13.5 23.25H12C11.6022 23.25 11.2206 23.092 10.9393 22.8107C10.658 22.5294 10.5 22.1478 10.5 21.75C10.5 21.3522 10.658 20.9706 10.9393 20.6893C11.2206 20.408 11.6022 20.25 12 20.25H13.5C13.8978 20.25 14.2794 20.408 14.5607 20.6893C14.842 20.9706 15 21.3522 15 21.75C15 22.1478 14.842 22.5294 14.5607 22.8107C14.2794 23.092 13.8978 23.25 13.5 23.25Z"
                stroke="currentColor"
            />
            <path
                d="M9 8.25001C9.00011 7.70004 9.15139 7.16068 9.43732 6.69088C9.72325 6.22108 10.1328 5.83891 10.6213 5.58616C11.1097 5.33341 11.6583 5.21979 12.2069 5.25773C12.7556 5.29566 13.2833 5.48369 13.7323 5.80126C14.1813 6.11883 14.5344 6.55372 14.7529 7.0584C14.9715 7.56308 15.0471 8.11813 14.9715 8.66288C14.8959 9.20763 14.6721 9.72113 14.3244 10.1472C13.9767 10.5734 13.5185 10.8957 13 11.079C12.7074 11.1825 12.4541 11.3741 12.275 11.6275C12.0959 11.8809 11.9998 12.1837 12 12.494V12.75"
                stroke="currentColor"
            />
            <path
                d="M12 15.75C11.9258 15.75 11.8533 15.772 11.7917 15.8132C11.73 15.8544 11.6819 15.913 11.6535 15.9815C11.6252 16.05 11.6177 16.1254 11.6322 16.1982C11.6467 16.2709 11.6824 16.3377 11.7348 16.3902C11.7873 16.4426 11.8541 16.4783 11.9268 16.4928C11.9996 16.5073 12.075 16.4998 12.1435 16.4715C12.212 16.4431 12.2706 16.395 12.3118 16.3333C12.353 16.2717 12.375 16.1992 12.375 16.125C12.375 16.0255 12.3355 15.9302 12.2652 15.8598C12.1948 15.7895 12.0995 15.75 12 15.75Z"
                stroke="currentColor"
            />
        </g>
    </Icon>
);

export const UserSupportIconWhite = () => (
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_819_10001)">
            <path
                d="M4.5 18H3.75C2.95435 18 2.19129 17.6839 1.62868 17.1213C1.06607 16.5587 0.75 15.7956 0.75 15V12C0.75 11.2044 1.06607 10.4413 1.62868 9.87868C2.19129 9.31607 2.95435 9 3.75 9H4.5C4.69891 9 4.88968 9.07902 5.03033 9.21967C5.17098 9.36032 5.25 9.55109 5.25 9.75V17.25C5.25 17.4489 5.17098 17.6397 5.03033 17.7803C4.88968 17.921 4.69891 18 4.5 18Z"
                stroke="white"
                strokeWidth="1.25"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M20.25 18H19.5C19.3011 18 19.1103 17.921 18.9697 17.7803C18.829 17.6397 18.75 17.4489 18.75 17.25V9.75C18.75 9.55109 18.829 9.36032 18.9697 9.21967C19.1103 9.07902 19.3011 9 19.5 9H20.25C21.0456 9 21.8087 9.31607 22.3713 9.87868C22.9339 10.4413 23.25 11.2044 23.25 12V15C23.25 15.7956 22.9339 16.5587 22.3713 17.1213C21.8087 17.6839 21.0456 18 20.25 18Z"
                stroke="white"
                strokeWidth="1.25"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M3.75 9C3.75 6.81196 4.61919 4.71354 6.16637 3.16637C7.71354 1.61919 9.81196 0.75 12 0.75C14.188 0.75 16.2865 1.61919 17.8336 3.16637C19.3808 4.71354 20.25 6.81196 20.25 9"
                stroke="white"
                strokeWidth="1.25"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M15 21.75H17.25C18.0456 21.75 18.8087 21.4339 19.3713 20.8713C19.9339 20.3087 20.25 19.5456 20.25 18.75V18"
                stroke="white"
                strokeWidth="1.25"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M13.5 23.25H12C11.6022 23.25 11.2206 23.092 10.9393 22.8107C10.658 22.5294 10.5 22.1478 10.5 21.75C10.5 21.3522 10.658 20.9706 10.9393 20.6893C11.2206 20.408 11.6022 20.25 12 20.25H13.5C13.8978 20.25 14.2794 20.408 14.5607 20.6893C14.842 20.9706 15 21.3522 15 21.75C15 22.1478 14.842 22.5294 14.5607 22.8107C14.2794 23.092 13.8978 23.25 13.5 23.25Z"
                stroke="white"
                strokeWidth="1.25"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M9 8.24992C9.00011 7.69994 9.15139 7.16058 9.43732 6.69078C9.72325 6.22098 10.1328 5.83882 10.6213 5.58607C11.1097 5.33332 11.6583 5.2197 12.2069 5.25763C12.7556 5.29557 13.2833 5.4836 13.7323 5.80117C14.1813 6.11873 14.5344 6.55362 14.7529 7.05831C14.9715 7.56299 15.0471 8.11803 14.9715 8.66279C14.8959 9.20754 14.6721 9.72104 14.3244 10.1471C13.9767 10.5733 13.5185 10.8956 13 11.0789C12.7074 11.1824 12.4541 11.374 12.275 11.6274C12.0959 11.8809 11.9998 12.1836 12 12.4939V12.7499"
                stroke="white"
                strokeWidth="1.25"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M12 15.75C11.9258 15.75 11.8533 15.772 11.7917 15.8132C11.73 15.8544 11.6819 15.913 11.6535 15.9815C11.6252 16.05 11.6177 16.1254 11.6322 16.1982C11.6467 16.2709 11.6824 16.3377 11.7348 16.3902C11.7873 16.4426 11.8541 16.4783 11.9268 16.4928C11.9996 16.5073 12.075 16.4998 12.1435 16.4715C12.212 16.4431 12.2706 16.395 12.3118 16.3333C12.353 16.2717 12.375 16.1992 12.375 16.125C12.375 16.0255 12.3355 15.9302 12.2652 15.8598C12.1948 15.7895 12.0995 15.75 12 15.75Z"
                fill="white"
                stroke="white"
                strokeWidth="1.25"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
        </g>
        <defs>
            <clipPath id="clip0_819_10001">
                <rect width="24" height="24" fill="white" />
            </clipPath>
        </defs>
    </svg>
);

export const LoginIcon = (props: IconProps) => (
    <Icon viewBox="0 0 24 24" {...props}>
        <g fill="white">
            <path
                d="M16.405 20.231C16.2302 20.4058 16.0074 20.5248 15.765 20.573C15.5225 20.6212 15.2712 20.5964 15.0428 20.5018C14.8144 20.4072 14.6192 20.247 14.4819 20.0414C14.3445 19.8359 14.2712 19.5942 14.2712 19.347C14.2712 19.0998 14.3445 18.8581 14.4819 18.6526C14.6192 18.447 14.8144 18.2868 15.0428 18.1922C15.2712 18.0975 15.5225 18.0728 15.765 18.121C16.0074 18.1692 16.2302 18.2882 16.405 18.463C16.6393 18.6975 16.7708 19.0155 16.7708 19.347C16.7708 19.6785 16.6393 19.9964 16.405 20.231Z"
                stroke="#05668D"
            />
            <path
                d="M19.048 17.942L23.353 13.647C23.3996 13.6006 23.4366 13.5454 23.4618 13.4846C23.487 13.4239 23.5 13.3588 23.5 13.293V12C23.5 11.8674 23.4473 11.7402 23.3536 11.6464C23.2598 11.5527 23.1326 11.5 23 11.5H21.7C21.572 11.5 21.4489 11.549 21.356 11.637L16.927 15.821C16.0723 15.4589 15.1182 15.4053 14.2284 15.6695C13.3385 15.9336 12.5682 16.4991 12.0495 17.2689C11.5307 18.0387 11.2959 18.9649 11.3852 19.8889C11.4745 20.8128 11.8823 21.677 12.5389 22.3332C13.1954 22.9894 14.0597 23.3969 14.9837 23.4857C15.9077 23.5746 16.8339 23.3393 17.6034 22.8202C18.373 22.3012 18.9381 21.5306 19.2018 20.6406C19.4655 19.7506 19.4105 18.7965 19.048 17.942Z"
                stroke="#05668D"
            />
            <path
                d="M7.5 9C9.84721 9 11.75 7.09721 11.75 4.75C11.75 2.40279 9.84721 0.5 7.5 0.5C5.15279 0.5 3.25 2.40279 3.25 4.75C3.25 7.09721 5.15279 9 7.5 9Z"
                stroke="#05668D"
            />
            <path
                d="M8.5 17.5H0.5C0.499976 16.0635 0.941905 14.6618 1.76582 13.485C2.58973 12.3083 3.75572 11.4135 5.10558 10.9221C6.45543 10.4308 7.92378 10.3666 9.31135 10.7383C10.6989 11.11 11.9386 11.8996 12.862 13"
                stroke="#05668D"
            />
        </g>
    </Icon>
);

export const SearchIcon = (props: IconProps) => (
    <Icon viewBox="0 0 12 12" {...props}>
        <svg width="12" height="12" viewBox="0 0 12 12" fill="none">
            <circle cx="5.25" cy="5.25" r="4.25" stroke="white" />
            <line x1="8.20711" y1="8.29289" x2="11.2071" y2="11.2929" stroke="white" />
        </svg>
    </Icon>
);

export const MenuCloseIcon = (props: IconProps) => (
    <Icon viewBox="0 0 38 38" {...props}>
        <svg
            width="38"
            height="38"
            viewBox="0 0 38 38"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <rect
                x="2.12134"
                y="0.355347"
                width="50"
                height="3"
                transform="rotate(45 2.12134 0.355347)"
                fill="#05668D"
            />
            <rect
                x="0.121338"
                y="35.3553"
                width="50"
                height="3"
                transform="rotate(-45 0.121338 35.3553)"
                fill="#05668D"
            />
        </svg>
    </Icon>
);

export const DropdownArrowIcon = (props: IconProps) => (
    <Icon viewBox="0 0 9 6" {...props}>
        <svg width="9" height="6" viewBox="0 0 9 6" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M1 1L4.5 4.5L8 1" stroke="#05668D" strokeWidth="2" />
        </svg>
    </Icon>
);

export const SpecificationIcon = (props: IconProps) => (
    <Icon viewBox="0 0 38 38" {...props}>
        <svg
            width="35"
            height="35"
            viewBox="0 0 25 24"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <g clipPath="url(#clip0_338_5470)">
                <path
                    d="M5.74609 23.248H2.74609C2.34827 23.248 1.96674 23.09 1.68543 22.8086C1.40413 22.5273 1.24609 22.1458 1.24609 21.748V2.24799C1.24609 1.85016 1.40413 1.46863 1.68543 1.18733C1.96674 0.906021 2.34827 0.747986 2.74609 0.747986H13.3751C13.5722 0.748028 13.7673 0.786909 13.9494 0.862406C14.1314 0.937904 14.2968 1.04854 14.4361 1.18799L20.3071 7.05899C20.4464 7.19834 20.5568 7.36377 20.6321 7.54582C20.7075 7.72787 20.7462 7.92297 20.7461 8.11999V12.748"
                    stroke="white"
                    strokeWidth="1.875"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="M20.7461 8.24799H14.7461C14.3483 8.24799 13.9667 8.08995 13.6854 7.80865C13.4041 7.52734 13.2461 7.14581 13.2461 6.74799V0.747986"
                    stroke="white"
                    strokeWidth="1.875"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="m 20.746197,12.667857 v 9.079899 c 0,0.3978 -0.15804,0.7794 -0.43934,1.0607 -0.28131,0.2813 -0.66284,0.4393 -1.06066,0.4393 H 5.7435714"
                    stroke="white"
                    strokeWidth="1.875"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
            </g>
            <defs>
                <clipPath id="clip0_338_5470">
                    <rect width="24" height="24" fill="white" transform="translate(0.5)" />
                </clipPath>
            </defs>
        </svg>
    </Icon>
);

export const MetadataSourceIcon = (props: IconProps) => (
    <Icon viewBox="0 0 38 38" {...props}>
        <svg
            width="35"
            height="35"
            viewBox="0 0 20 20"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <g clipPath="url(#clip0_1127_6040)">
                <path
                    d="M19.5827 17.0834H2.08268C1.64065 17.0834 1.21673 16.9078 0.904171 16.5952C0.59161 16.2827 0.416016 15.8587 0.416016 15.4167V13.75C0.416016 13.308 0.59161 12.8841 0.904171 12.5715C1.21673 12.259 1.64065 12.0834 2.08268 12.0834H19.5827"
                    stroke="#05668D"
                    strokeWidth="1.125"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="M2.91602 13.7509H18.7493"
                    stroke="#05668D"
                    strokeWidth="1.125"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="M2.91602 15.4175H18.7493"
                    stroke="#05668D"
                    strokeWidth="1.125"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="M2.5 6.25081C2.5 7.13487 2.85119 7.98271 3.47631 8.60784C4.10143 9.23296 4.94928 9.58415 5.83333 9.58415C6.71739 9.58415 7.56523 9.23296 8.19036 8.60784C8.81548 7.98271 9.16667 7.13487 9.16667 6.25081C9.16667 5.36676 8.81548 4.51891 8.19036 3.89379C7.56523 3.26867 6.71739 2.91748 5.83333 2.91748C4.94928 2.91748 4.10143 3.26867 3.47631 3.89379C2.85119 4.51891 2.5 5.36676 2.5 6.25081Z"
                    stroke="#05668D"
                    strokeWidth="1.125"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="M11.666 6.25081C11.666 7.13487 12.0172 7.98271 12.6423 8.60784C13.2674 9.23296 14.1153 9.58415 14.9993 9.58415C15.8834 9.58415 16.7312 9.23296 17.3564 8.60784C17.9815 7.98271 18.3327 7.13487 18.3327 6.25081C18.3327 5.36676 17.9815 4.51891 17.3564 3.89379C16.7312 3.26867 15.8834 2.91748 14.9993 2.91748C14.1153 2.91748 13.2674 3.26867 12.6423 3.89379C12.0172 4.51891 11.666 5.36676 11.666 6.25081Z"
                    stroke="#05668D"
                    strokeWidth="1.125"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="M9.16602 6.25C9.16602 5.91848 9.29771 5.60054 9.53213 5.36612C9.76655 5.1317 10.0845 5 10.416 5C10.7475 5 11.0655 5.1317 11.2999 5.36612C11.5343 5.60054 11.666 5.91848 11.666 6.25"
                    stroke="#05668D"
                    strokeWidth="1.125"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="M2.5 6.25085H1.25"
                    stroke="#05668D"
                    strokeWidth="1.125"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
                <path
                    d="M19.584 6.25085H18.334"
                    stroke="#05668D"
                    strokeWidth="1.125"
                    strokeLinecap="round"
                    strokeLinejoin="round"
                />
            </g>
            <defs>
                <clipPath id="clip0_1127_6040">
                    <rect width="20" height="20" fill="white" />
                </clipPath>
            </defs>
        </svg>
    </Icon>
);

export const StandardIcon = () => (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_338_4908)">
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M28.4737 0C30.6297 0.0613333 32.3791 1.82933 32.4191 3.97733C32.4217 4.012 32.4231 4.048 32.4231 4.08267C32.4231 4.76933 31.8591 5.33333 31.1724 5.33333H25.7884V27.3333C25.7884 29.8933 23.6817 32 21.1217 32H5.12175C2.56174 32 0.455078 29.8933 0.455078 27.3333C0.455078 24.7733 2.56174 22.6667 5.12175 22.6667H7.12175V4.66667C7.12175 2.10667 9.22841 0 11.7884 0H28.4551C28.4604 0 28.4671 0 28.4737 0ZM17.8684 24H5.12175C3.29241 24 1.78841 25.5053 1.78841 27.3333C1.78841 29.1613 3.29241 30.6667 5.12175 30.6667H17.8684C16.9977 29.8173 16.4551 28.6333 16.4551 27.3333C16.4551 26.0333 16.9977 24.8493 17.8684 24ZM8.45508 22.6667H21.1217C21.4897 22.6667 21.7884 22.9653 21.7884 23.3333C21.7884 23.7013 21.4897 24 21.1217 24C19.2924 24 17.7884 25.5053 17.7884 27.3333C17.7884 29.1613 19.2924 30.6667 21.1217 30.6667C22.9497 30.6667 24.4551 29.1613 24.4551 27.3333V4C24.4551 2.98 24.8457 2.04267 25.4831 1.33333H11.7884C9.95908 1.33333 8.45508 2.83867 8.45508 4.66667V22.6667ZM28.4391 1.33333C26.9831 1.34133 25.7884 2.54267 25.7884 4H31.0857C31.0551 2.56533 29.8951 1.38667 28.4551 1.33333H28.4391ZM11.7884 12C11.4204 12 11.1217 11.7013 11.1217 11.3333C11.1217 10.9653 11.4204 10.6667 11.7884 10.6667H19.7884C20.1564 10.6667 20.4551 10.9653 20.4551 11.3333C20.4551 11.7013 20.1564 12 19.7884 12H11.7884ZM11.7884 8C11.4204 8 11.1217 7.70133 11.1217 7.33333C11.1217 6.96533 11.4204 6.66667 11.7884 6.66667H19.7884C20.1564 6.66667 20.4551 6.96533 20.4551 7.33333C20.4551 7.70133 20.1564 8 19.7884 8H11.7884ZM11.7884 16C11.4204 16 11.1217 15.7013 11.1217 15.3333C11.1217 14.9653 11.4204 14.6667 11.7884 14.6667H19.7884C20.1564 14.6667 20.4551 14.9653 20.4551 15.3333C20.4551 15.7013 20.1564 16 19.7884 16H11.7884ZM11.7884 20C11.4204 20 11.1217 19.7013 11.1217 19.3333C11.1217 18.9653 11.4204 18.6667 11.7884 18.6667H19.7884C20.1564 18.6667 20.4551 18.9653 20.4551 19.3333C20.4551 19.7013 20.1564 20 19.7884 20H11.7884Z"
                fill="#808080"
            />
        </g>
        <defs>
            <clipPath id="clip0_338_4908">
                <rect width="32" height="32" fill="white" transform="translate(0.455078)" />
            </clipPath>
        </defs>
    </svg>
);

export const LearningResourceIcon = () => (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_327_4581)">
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M12.453 23.1254C12.453 23.1214 12.453 23.116 12.453 23.112C12.453 22.8347 12.6237 22.5921 12.8729 22.4921L21.7141 18.9767C22.1873 18.7888 22.7152 18.7888 23.1898 18.9767L31.2031 22.1642C31.5831 22.3162 31.8337 22.6854 31.8337 23.0934C31.8337 23.516 31.5657 23.8959 31.1671 24.0359L28.4503 24.9957V28.7244C28.4543 29.4083 28.037 30.0268 27.4038 30.2801C27.3984 30.2828 27.3931 30.2841 27.3864 30.2868C27.3864 30.2868 23.0605 31.8839 23.0685 31.8812C22.6753 32.0385 22.2367 32.0398 21.8434 31.8839L17.5175 30.2868C17.5121 30.2855 17.5068 30.2828 17.5015 30.2815C16.8669 30.0282 16.4483 29.4083 16.4523 28.7284V24.9957L13.7861 24.0545V27.9952C13.7861 28.3631 13.4875 28.6617 13.1196 28.6617C12.7516 28.6617 12.453 28.3631 12.453 27.9952V23.1254ZM27.1172 25.465L23.1178 26.8767C22.6873 27.03 22.2167 27.03 21.7861 26.8767L17.7854 25.465V28.7284V28.7324C17.7854 28.867 17.8668 28.9883 17.9907 29.0403L22.3113 30.6361C22.318 30.6387 22.3246 30.6401 22.33 30.6427C22.4086 30.6747 22.4966 30.6747 22.5739 30.6427C22.5806 30.6401 22.5859 30.6387 22.5926 30.6361C22.5926 30.6361 26.9132 29.0403 26.9212 29.0377C27.0398 28.983 27.1185 28.863 27.1172 28.7324V28.7284V25.465ZM29.8847 23.0747L22.6979 20.2165C22.5393 20.1539 22.3633 20.1539 22.206 20.2165L15.0166 23.0747L22.23 25.6209C22.3726 25.6716 22.5299 25.6716 22.6739 25.6209L29.8847 23.0747ZM10.4534 0C13.9488 0 16.7856 2.83685 16.7856 6.33224C16.7856 9.82764 13.9488 12.6645 10.4534 12.6645C6.95929 12.6645 4.12111 9.82764 4.12111 6.33224C4.12111 2.83685 6.95929 0 10.4534 0ZM10.4534 1.3331C7.69517 1.3331 5.45422 3.57272 5.45422 6.33224C5.45422 9.09177 7.69517 11.3314 10.4534 11.3314C13.2129 11.3314 15.4525 9.09177 15.4525 6.33224C15.4525 3.57272 13.2129 1.3331 10.4534 1.3331ZM1.81484 22.6628H9.12025C9.48819 22.6628 9.78681 22.9614 9.78681 23.3293C9.78681 23.6973 9.48819 23.9959 9.12025 23.9959H1.12163C0.753693 23.9959 0.455078 23.6973 0.455078 23.3293C0.455078 17.8449 4.96897 13.331 10.4534 13.331C13.4075 13.331 16.2137 14.6401 18.112 16.9024C18.3493 17.1837 18.312 17.605 18.0307 17.8409C17.7481 18.0769 17.3282 18.0409 17.0909 17.7583C15.4458 15.7986 13.0129 14.6641 10.4534 14.6641C5.9248 14.6641 2.15878 18.2155 1.81484 22.6628Z"
                fill="#808080"
            />
        </g>
        <defs>
            <clipPath id="clip0_327_4581">
                <rect width="32" height="32" fill="white" transform="translate(0.455078)" />
            </clipPath>
        </defs>
    </svg>
);

export const RepositoriesIcon = () => (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M2 4.66665C1.82319 4.66665 1.65362 4.73688 1.5286 4.86191C1.40357 4.98693 1.33333 5.1565 1.33333 5.33331V9.33331C1.33333 9.51012 1.40357 9.67969 1.5286 9.80472C1.65362 9.92974 1.82319 9.99998 2 9.99998H30C30.1768 9.99998 30.3464 9.92974 30.4714 9.80472C30.5964 9.67969 30.6667 9.51013 30.6667 9.33331V5.33331C30.6667 5.1565 30.5964 4.98693 30.4714 4.86191C30.3464 4.73688 30.1768 4.66665 30 4.66665H2ZM0.585786 3.9191C0.960859 3.54403 1.46957 3.33331 2 3.33331H30C30.5304 3.33331 31.0391 3.54403 31.4142 3.9191C31.7893 4.29417 32 4.80288 32 5.33331V9.33331C32 9.86374 31.7893 10.3725 31.4142 10.7475C31.0391 11.1226 30.5304 11.3333 30 11.3333H2C1.46957 11.3333 0.960859 11.1226 0.585786 10.7475C0.210714 10.3725 0 9.86375 0 9.33331V5.33331C0 4.80288 0.210714 4.29417 0.585786 3.9191Z"
            fill="#808080"
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M1.99967 12.6667C2.36786 12.6667 2.66634 12.9652 2.66634 13.3334V26.6667C2.66634 26.8435 2.73658 27.0131 2.8616 27.1381C2.98663 27.2631 3.1562 27.3334 3.33301 27.3334H28.6663C28.8432 27.3334 29.0127 27.2631 29.1377 27.1381C29.2628 27.0131 29.333 26.8435 29.333 26.6667V13.3334C29.333 12.9652 29.6315 12.6667 29.9997 12.6667C30.3679 12.6667 30.6663 12.9652 30.6663 13.3334V26.6667C30.6663 27.1971 30.4556 27.7058 30.0806 28.0809C29.7055 28.456 29.1968 28.6667 28.6663 28.6667H3.33301C2.80258 28.6667 2.29387 28.456 1.91879 28.0809C1.54372 27.7058 1.33301 27.1971 1.33301 26.6667V13.3334C1.33301 12.9652 1.63148 12.6667 1.99967 12.6667Z"
            fill="#808080"
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M13.3337 15.3333C12.98 15.3333 12.6409 15.4738 12.3908 15.7239C12.1408 15.9739 12.0003 16.313 12.0003 16.6667C12.0003 17.0203 12.1408 17.3594 12.3908 17.6095C12.6409 17.8595 12.98 18 13.3337 18H18.667C19.0206 18 19.3598 17.8595 19.6098 17.6095C19.8598 17.3594 20.0003 17.0203 20.0003 16.6667C20.0003 16.313 19.8598 15.9739 19.6098 15.7239C19.3598 15.4738 19.0206 15.3333 18.667 15.3333H13.3337ZM11.448 14.781C11.9481 14.281 12.6264 14 13.3337 14H18.667C19.3742 14 20.0525 14.281 20.5526 14.781C21.0527 15.2811 21.3337 15.9594 21.3337 16.6667C21.3337 17.3739 21.0527 18.0522 20.5526 18.5523C20.0525 19.0524 19.3742 19.3333 18.667 19.3333H13.3337C12.6264 19.3333 11.9481 19.0524 11.448 18.5523C10.9479 18.0522 10.667 17.3739 10.667 16.6667C10.667 15.9594 10.9479 15.2811 11.448 14.781Z"
            fill="#808080"
        />
    </svg>
);

export const ServicesIcon = () => (
    <svg width="33" height="32" viewBox="0 0 33 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M0.455078 10.8935C0.455078 4.93742 5.36631 0 11.3034 0C16.3177 0 20.4387 3.31808 21.7711 7.90438C22.8046 7.3523 23.9724 7.08076 25.1312 7.08076C29.1703 7.08076 32.4548 10.3842 32.4548 14.4339C32.4548 16.3827 31.7066 18.1899 30.3585 19.544C30.0932 19.8105 29.6622 19.8115 29.3957 19.5462C29.1292 19.2809 29.1282 18.8498 29.3935 18.5833C30.4856 17.4864 31.0931 16.0255 31.0931 14.4339C31.0931 11.1305 28.4126 8.44245 25.1312 8.44245C23.908 8.44245 22.6998 8.81171 21.7451 9.53096C21.558 9.67189 21.3116 9.70678 21.0928 9.62334C20.874 9.53989 20.7134 9.34982 20.6676 9.12013C19.7794 4.65917 15.9809 1.36169 11.3034 1.36169C6.12404 1.36169 1.81677 5.68376 1.81677 10.8935C1.81677 13.5666 2.82537 15.8467 4.60088 17.6301C4.86617 17.8966 4.86522 18.3277 4.59874 18.593C4.33226 18.8583 3.90118 18.8573 3.63588 18.5908C1.61554 16.5615 0.455078 13.9396 0.455078 10.8935ZM16.0941 9.36338C16.3149 9.22539 16.595 9.22539 16.8158 9.36338L22.2626 12.7676C22.4616 12.892 22.5826 13.1102 22.5826 13.345V18.3832C22.5826 18.3939 22.5823 18.4045 22.5818 18.415L27.0301 21.2109C27.2283 21.3355 27.3486 21.5532 27.3486 21.7873V27.6426C27.3486 27.86 27.2447 28.0644 27.0691 28.1926L22.0307 31.8691C21.8014 32.0365 21.4923 32.044 21.2552 31.8879L16.4601 28.7333L11.7978 31.8833C11.5627 32.0422 11.2537 32.0385 11.0223 31.8742L5.84791 28.1976C5.66818 28.0699 5.56142 27.8631 5.56142 27.6426V21.7873C5.56142 21.5532 5.68172 21.3355 5.87995 21.2109L10.3281 18.415C10.3276 18.4045 10.3273 18.3939 10.3273 18.3832V13.345C10.3273 13.1102 10.4483 12.892 10.6473 12.7676L16.0941 9.36338ZM11.2954 19.4154L7.45062 21.832L11.4337 24.7669L15.2535 22.186L11.2954 19.4154ZM15.7741 23.4776L12.0975 25.9617V30.0375L15.7742 27.5534L15.7741 23.4776ZM17.1359 27.548L20.9485 30.0563V25.9671L17.1358 23.4589L17.1359 27.548ZM17.6672 22.1785L21.6019 24.767L25.4709 21.8392L21.6145 19.4154L17.6672 22.1785ZM21.2209 18.0287V14.5734L17.1358 17.1266V20.8883L21.2209 18.0287ZM15.7741 20.8883V17.1266L11.689 14.5734V18.0287L15.7741 20.8883ZM12.2928 13.345L16.4549 15.9463L20.6171 13.345L16.4549 10.7436L12.2928 13.345ZM25.9869 23.1564L22.3102 25.9386V29.9795L25.9869 27.2966V23.1564ZM10.7358 30.0002V25.9441L6.92311 23.1347V27.2911L10.7358 30.0002Z"
            fill="#808080"
        />
    </svg>
);

export const ToolSoftwareIcon = () => (
    <svg width="33" height="32" viewBox="0 0 33 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_402_7062)">
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M13.2964 22.9283L5.00577 31.219C5.00177 31.223 4.99777 31.227 4.99244 31.231C4.48844 31.7083 3.81777 31.971 3.12311 31.9616C2.42977 31.951 1.76577 31.671 1.27511 31.1803C0.783108 30.6896 0.503108 30.027 0.493775 29.3323C0.483108 28.6376 0.744442 27.967 1.22177 27.463C1.22577 27.4576 1.23111 27.4536 1.23511 27.4496L9.52577 19.1563L8.58444 18.2136C8.32444 17.9536 8.32444 17.531 8.58444 17.271C8.84444 17.011 9.26711 17.011 9.52711 17.271L10.9404 18.6843L11.8831 19.6296L26.0578 5.46965L25.9378 5.34831C25.7298 5.14165 25.5698 4.89231 25.4698 4.61765C25.3698 4.34165 25.3311 4.04831 25.3578 3.75631C25.3831 3.46565 25.4724 3.18298 25.6191 2.92965C25.7658 2.67631 25.9671 2.45765 26.2071 2.29098L29.1618 0.238982C29.4191 0.0603151 29.7298 -0.0223515 30.0418 0.0056485C30.3538 0.0336485 30.6444 0.169648 30.8658 0.390982L32.0671 1.59098C32.2938 1.81898 32.4311 2.12031 32.4524 2.44165C32.4751 2.76165 32.3804 3.07898 32.1884 3.33365L30.0351 6.21231C29.8631 6.44165 29.6444 6.63098 29.3938 6.76965C29.1418 6.90698 28.8631 6.98831 28.5778 7.00965C28.2911 7.02965 28.0044 6.98965 27.7351 6.88965C27.4658 6.78965 27.2218 6.63231 27.0191 6.42965L27.0004 6.41098L12.8258 20.5723L13.7671 21.515L15.1804 22.9283C15.4404 23.1883 15.4404 23.611 15.1804 23.871C14.9204 24.131 14.4978 24.131 14.2378 23.871L13.2964 22.9283ZM10.4684 20.099C10.4684 20.099 2.18711 28.383 2.18044 28.391C1.94844 28.6416 1.82177 28.9723 1.82711 29.3136C1.83111 29.6603 1.97244 29.9923 2.21777 30.2376C2.46311 30.483 2.79511 30.623 3.14177 30.6283C3.48711 30.6323 3.82044 30.503 4.07111 30.267L12.3538 21.9856L11.4124 21.043C11.0191 20.6496 10.6258 20.2563 10.4684 20.099ZM27.4724 4.99765L27.9618 5.48698C28.0298 5.55365 28.1111 5.60565 28.2004 5.63898C28.2898 5.67231 28.3858 5.68698 28.4804 5.68031C28.5764 5.67231 28.6698 5.64565 28.7524 5.59898C28.8364 5.55365 28.9098 5.48965 28.9671 5.41365L31.1204 2.53498L31.1231 2.53231L29.9231 1.33365L26.9684 3.38565C26.8884 3.44165 26.8218 3.51365 26.7724 3.59765C26.7231 3.68298 26.6938 3.77631 26.6858 3.87365C26.6764 3.97098 26.6898 4.06965 26.7231 4.16031C26.7564 4.25231 26.8098 4.33631 26.8791 4.40431L27.4724 4.99765ZM16.3738 12.311C16.6338 12.571 16.6338 12.9936 16.3738 13.2536C16.1138 13.5136 15.6911 13.5136 15.4311 13.2536L10.8444 8.66698C10.6484 8.47098 10.5938 8.17365 10.7084 7.92165C11.0298 7.20965 11.1671 6.43098 11.1084 5.65231C11.0511 4.87498 10.7978 4.12431 10.3751 3.46965C9.95244 2.81365 9.37244 2.27498 8.68711 1.90298C8.00177 1.52965 7.23377 1.33365 6.45511 1.33365C6.13111 1.33365 5.80977 1.36698 5.49511 1.43231L7.39911 3.33498C7.64844 3.58565 7.78844 3.92298 7.78844 4.27631V6.00031C7.78844 6.35498 7.64711 6.69365 7.39777 6.94298C7.14711 7.19365 6.80844 7.33365 6.45511 7.33365H4.72977C4.37777 7.33365 4.03911 7.19365 3.78977 6.94431L1.88577 5.04031C1.82044 5.35631 1.78844 5.67765 1.78844 6.00031C1.78844 6.78031 1.98311 7.54831 2.35644 8.23365C2.72977 8.91765 3.26844 9.49898 3.92311 9.92164C4.57777 10.3443 5.32844 10.5963 6.10711 10.655C6.88444 10.7136 7.66444 10.575 8.37511 10.255C8.62711 10.1403 8.92444 10.195 9.12044 10.391L13.7071 14.9776C13.9671 15.2376 13.9671 15.6603 13.7071 15.9203C13.4471 16.1803 13.0244 16.1803 12.7644 15.9203L8.48977 11.6456C7.69777 11.931 6.85111 12.047 6.00711 11.9843C5.00711 11.9096 4.04177 11.5856 3.19911 11.0416C2.35777 10.4976 1.66444 9.75098 1.18577 8.87098C0.705775 7.98965 0.455108 7.00298 0.455108 6.00031C0.453775 5.58698 0.496442 5.17365 0.580442 4.76831C0.629775 4.53365 0.741775 4.31498 0.904442 4.13898C1.06711 3.96165 1.27511 3.83231 1.50577 3.76298C1.73511 3.69498 1.98044 3.68965 2.21377 3.74831C2.44577 3.80831 2.65911 3.92831 2.82844 4.09898L4.73111 6.00031H6.45511V4.27631L4.55244 2.37498C4.38311 2.20431 4.26177 1.99231 4.20311 1.75898C4.14311 1.52565 4.14844 1.28165 4.21777 1.05098C4.28577 0.821648 4.41511 0.613648 4.59244 0.450982C4.76977 0.288315 4.98711 0.176315 5.22311 0.126982C5.62711 0.0429818 6.04044 0.000315169 6.45511 0.000315169C7.45777 0.000315169 8.44444 0.252315 9.32444 0.730982C10.2058 1.21098 10.9511 1.90298 11.4951 2.74565C12.0391 3.58831 12.3631 4.55365 12.4378 5.55365C12.5018 6.39765 12.3858 7.24298 12.0991 8.03631L16.3738 12.311ZM19.2018 17.0243C18.9418 16.7643 18.9418 16.3416 19.2018 16.0816C19.4618 15.8216 19.8844 15.8216 20.1444 16.0816L24.4191 20.3563C25.2124 20.0696 26.0578 19.9536 26.9018 20.0163C27.9018 20.0923 28.8671 20.4163 29.7098 20.9603C30.5524 21.5043 31.2444 22.2496 31.7244 23.131C32.2031 24.011 32.4551 24.9976 32.4551 26.0003C32.4551 26.4136 32.4124 26.827 32.3284 27.2323C32.2791 27.4683 32.1671 27.6856 32.0044 27.863C31.8418 28.039 31.6338 28.1696 31.4044 28.2376C31.1738 28.307 30.9284 28.311 30.6964 28.2523C30.4631 28.1936 30.2498 28.0723 30.0804 27.903L28.1778 26.0003H26.4551L26.4538 27.7243L28.3564 29.627C28.5271 29.7963 28.6471 30.0096 28.7071 30.2416C28.7658 30.475 28.7604 30.7203 28.6924 30.9496C28.6231 31.1803 28.4938 31.387 28.3164 31.551C28.1404 31.7136 27.9218 31.8256 27.6858 31.875C27.2818 31.959 26.8684 32.0003 26.4551 32.0003C25.4524 32.0003 24.4658 31.7496 23.5844 31.2696C22.7044 30.791 21.9578 30.0976 21.4138 29.255C20.8698 28.4136 20.5458 27.4483 20.4711 26.4483C20.4071 25.6043 20.5244 24.7576 20.8098 23.9656L16.5351 19.691C16.2751 19.431 16.2751 19.0083 16.5351 18.7483C16.7951 18.4883 17.2178 18.4883 17.4778 18.7483L22.0644 23.335C22.2604 23.531 22.3151 23.827 22.2004 24.0803C21.8804 24.791 21.7418 25.571 21.8004 26.3483C21.8591 27.127 22.1111 27.8776 22.5338 28.5323C22.9564 29.187 23.5378 29.7256 24.2218 30.099C24.9071 30.4723 25.6751 30.667 26.4551 30.667C26.7778 30.667 27.0991 30.635 27.4138 30.5696L25.5111 28.6656C25.2618 28.4163 25.1218 28.0776 25.1218 27.7243V26.0003C25.1218 25.647 25.2618 25.3083 25.5111 25.0576C25.7618 24.8083 26.1004 24.667 26.4551 24.667H28.1791C28.5324 24.667 28.8698 24.807 29.1204 25.0563L31.0231 26.9603C31.0884 26.6443 31.1218 26.323 31.1218 26.0003C31.1218 25.2203 30.9258 24.4536 30.5524 23.7683C30.1804 23.083 29.6418 22.503 28.9858 22.0803C28.3311 21.6563 27.5804 21.4043 26.8031 21.347C26.0244 21.2883 25.2444 21.4256 24.5338 21.747C24.2818 21.8603 23.9844 21.807 23.7884 21.611L19.2018 17.0243Z"
                fill="#808080"
            />
        </g>
        <defs>
            <clipPath id="clip0_402_7062">
                <rect width="32" height="32" fill="white" transform="translate(0.455078)" />
            </clipPath>
        </defs>
    </svg>
);

// Take care! Must be adapted, currently for the Datasets the ToolSoftwareIcon is used 
export const DatasetsIcon = () => (
    <svg width="33" height="32" viewBox="0 0 44 44" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M0.5 43.5C0.5 42.9477 0.947715 42.5 1.5 42.5H46.5C47.0523 42.5 47.5 42.9477 47.5 43.5C47.5 44.0523 47.0523 44.5 46.5 44.5H1.5C0.947715 44.5 0.5 44.0523 0.5 43.5Z"
            fill="#808080"
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M4.23223 22.2322C4.70107 21.7634 5.33696 21.5 6 21.5H12C12.663 21.5 13.2989 21.7634 13.7678 22.2322C14.2366 22.7011 14.5 23.337 14.5 24V43.5C14.5 44.0523 14.0523 44.5 13.5 44.5H4.5C3.94772 44.5 3.5 44.0523 3.5 43.5V24C3.5 23.337 3.76339 22.7011 4.23223 22.2322ZM6 23.5C5.86739 23.5 5.74022 23.5527 5.64645 23.6464C5.55268 23.7402 5.5 23.8674 5.5 24V42.5H12.5V24C12.5 23.8674 12.4473 23.7402 12.3536 23.6464C12.2598 23.5527 12.1326 23.5 12 23.5H6Z"
            fill="#808080"
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M19.2322 4.23223C19.7011 3.76339 20.337 3.5 21 3.5H27C27.663 3.5 28.2989 3.76339 28.7678 4.23223C29.2366 4.70107 29.5 5.33696 29.5 6V43.5C29.5 44.0523 29.0523 44.5 28.5 44.5H19.5C18.9477 44.5 18.5 44.0523 18.5 43.5V6C18.5 5.33696 18.7634 4.70107 19.2322 4.23223ZM21 5.5C20.8674 5.5 20.7402 5.55268 20.6464 5.64645C20.5527 5.74022 20.5 5.86739 20.5 6V42.5H27.5V6C27.5 5.86739 27.4473 5.74022 27.3536 5.64645C27.2598 5.55268 27.1326 5.5 27 5.5H21Z"
            fill="#808080"
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M34.2322 13.2322C34.7011 12.7634 35.337 12.5 36 12.5H42C42.663 12.5 43.2989 12.7634 43.7678 13.2322C44.2366 13.7011 44.5 14.337 44.5 15V43.5C44.5 44.0523 44.0523 44.5 43.5 44.5H34.5C33.9477 44.5 33.5 44.0523 33.5 43.5V15C33.5 14.337 33.7634 13.7011 34.2322 13.2322ZM36 14.5C35.8674 14.5 35.7402 14.5527 35.6464 14.6464C35.5527 14.7402 35.5 14.8674 35.5 15V42.5H42.5V15C42.5 14.8674 42.4473 14.7402 42.3536 14.6464C42.2598 14.5527 42.1326 14.5 42 14.5H36Z"
            fill="#808080"
        />
        <defs>
            <clipPath id="clip0_402_7062">
                <rect width="32" height="32" fill="white" transform="translate(0.455078)" />
            </clipPath>
        </defs>
    </svg>
);

export const DocumentsIcon = () => (
    <svg width="33" height="32" viewBox="0 0 33 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_259_11595)">
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M0.5 31.3307C0.5 30.9625 0.798477 30.664 1.16667 30.664H24.5C24.8682 30.664 25.1667 30.9625 25.1667 31.3307C25.1667 31.6989 24.8682 31.9973 24.5 31.9973H1.16667C0.798477 31.9973 0.5 31.6989 0.5 31.3307Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M0.5 25.9974C0.5 25.6292 0.798477 25.3307 1.16667 25.3307H31.8333C32.2015 25.3307 32.5 25.6292 32.5 25.9974C32.5 26.3655 32.2015 26.664 31.8333 26.664H1.16667C0.798477 26.664 0.5 26.3655 0.5 25.9974Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M0.5 20.664C0.5 20.2958 0.798477 19.9973 1.16667 19.9973H31.8333C32.2015 19.9973 32.5 20.2958 32.5 20.664C32.5 21.0322 32.2015 21.3306 31.8333 21.3306H1.16667C0.798477 21.3306 0.5 21.0322 0.5 20.664Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M19.167 15.3307C19.167 14.9625 19.4655 14.664 19.8337 14.664H31.8337C32.2018 14.664 32.5003 14.9625 32.5003 15.3307C32.5003 15.6989 32.2018 15.9973 31.8337 15.9973H19.8337C19.4655 15.9973 19.167 15.6989 19.167 15.3307Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M19.167 9.99736C19.167 9.62917 19.4655 9.33069 19.8337 9.33069H31.8337C32.2018 9.33069 32.5003 9.62917 32.5003 9.99736C32.5003 10.3655 32.2018 10.664 31.8337 10.664H19.8337C19.4655 10.664 19.167 10.3655 19.167 9.99736Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M19.167 4.66398C19.167 4.29579 19.4655 3.99731 19.8337 3.99731H31.8337C32.2018 3.99731 32.5003 4.29579 32.5003 4.66398C32.5003 5.03217 32.2018 5.33065 31.8337 5.33065H19.8337C19.4655 5.33065 19.167 5.03217 19.167 4.66398Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M2.5 1.33065C2.13181 1.33065 1.83333 1.62912 1.83333 1.99731V13.9973C1.83333 14.3655 2.13181 14.664 2.5 14.664H14.5C14.8682 14.664 15.1667 14.3655 15.1667 13.9973V1.99731C15.1667 1.62912 14.8682 1.33065 14.5 1.33065H2.5ZM0.5 1.99731C0.5 0.892745 1.39543 -0.00268555 2.5 -0.00268555H14.5C15.6046 -0.00268555 16.5 0.892745 16.5 1.99731V13.9973C16.5 15.1019 15.6046 15.9973 14.5 15.9973H2.5C1.39543 15.9973 0.5 15.1019 0.5 13.9973V1.99731Z"
                fill="#808080"
            />
        </g>
        <defs>
            <clipPath id="clip0_259_11595">
                <rect width="32" height="32" fill="white" transform="translate(0.5)" />
            </clipPath>
        </defs>
    </svg>
);

export const OrganisationsIcon = () => (
    <svg width="33" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_259_11553)">
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M0.844626 8.39052C1.09467 8.14048 1.43381 8 1.78743 8H12.4541C12.8077 8 13.1469 8.14048 13.3969 8.39052C13.647 8.64057 13.7874 8.97971 13.7874 9.33333V31.3333C13.7874 31.7015 13.489 32 13.1208 32H1.78743C1.43381 32 1.09468 31.8595 0.844626 31.6095C0.594577 31.3594 0.454102 31.0203 0.454102 30.6667V9.33333C0.454102 8.97971 0.594577 8.64057 0.844626 8.39052ZM12.4541 9.33333L1.78743 9.33333V30.6667H12.4541V9.33333Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M2.17763 4.39052C2.42768 4.14048 2.76682 4 3.12044 4H11.1204C11.4741 4 11.8132 4.14048 12.0633 4.39052C12.3133 4.64057 12.4538 4.97971 12.4538 5.33333V8.66667C12.4538 9.03486 12.1553 9.33333 11.7871 9.33333C11.4189 9.33333 11.1204 9.03486 11.1204 8.66667V5.33333H3.12044V8.66667C3.12044 9.03486 2.82197 9.33333 2.45378 9.33333C2.08559 9.33333 1.78711 9.03486 1.78711 8.66667V5.33333C1.78711 4.97971 1.92759 4.64057 2.17763 4.39052Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M6.45378 0C6.82197 0 7.12044 0.298477 7.12044 0.666667V4.66667C7.12044 5.03486 6.82197 5.33333 6.45378 5.33333C6.08559 5.33333 5.78711 5.03486 5.78711 4.66667V0.666667C5.78711 0.298477 6.08559 0 6.45378 0Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M22.1776 12.3905C22.4277 12.1405 22.7668 12 23.1204 12H31.1204C31.4741 12 31.8132 12.1405 32.0633 12.3905C32.3133 12.6406 32.4538 12.9797 32.4538 13.3333V30.6667C32.4538 31.0203 32.3133 31.3594 32.0633 31.6095C31.8132 31.8595 31.4741 32 31.1204 32H22.4538C22.0856 32 21.7871 31.7015 21.7871 31.3333V13.3333C21.7871 12.9797 21.9276 12.6406 22.1776 12.3905ZM31.1204 13.3333H23.1204V30.6667H31.1204V13.3333Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M23.5116 9.72384C23.7617 9.47379 24.1008 9.33331 24.4544 9.33331H29.7878C30.1414 9.33331 30.4805 9.47379 30.7306 9.72384C30.9806 9.97389 31.1211 10.313 31.1211 10.6666V12.6666C31.1211 13.0348 30.8226 13.3333 30.4544 13.3333C30.0862 13.3333 29.7878 13.0348 29.7878 12.6666L29.7878 10.6666H24.4544L24.4544 12.6666C24.4544 13.0348 24.156 13.3333 23.7878 13.3333C23.4196 13.3333 23.1211 13.0348 23.1211 12.6666V10.6666C23.1211 10.313 23.2616 9.97389 23.5116 9.72384Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M12.4541 16.6667C12.4541 16.2985 12.7526 16 13.1208 16H22.4541C22.8223 16 23.1208 16.2985 23.1208 16.6667C23.1208 17.0349 22.8223 17.3333 22.4541 17.3333H13.1208C12.7526 17.3333 12.4541 17.0349 12.4541 16.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M12.4541 31.3334C12.4541 30.9652 12.7526 30.6667 13.1208 30.6667H22.4541C22.8223 30.6667 23.1208 30.9652 23.1208 31.3334C23.1208 31.7015 22.8223 32 22.4541 32H13.1208C12.7526 32 12.4541 31.7015 12.4541 31.3334Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M3.12109 12.6667C3.12109 12.2985 3.41957 12 3.78776 12H10.4544C10.8226 12 11.1211 12.2985 11.1211 12.6667C11.1211 13.0349 10.8226 13.3333 10.4544 13.3333H3.78776C3.41957 13.3333 3.12109 13.0349 3.12109 12.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M3.12109 16.6667C3.12109 16.2985 3.41957 16 3.78776 16H10.4544C10.8226 16 11.1211 16.2985 11.1211 16.6667C11.1211 17.0349 10.8226 17.3333 10.4544 17.3333H3.78776C3.41957 17.3333 3.12109 17.0349 3.12109 16.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M3.12109 20.6667C3.12109 20.2985 3.41957 20 3.78776 20H10.4544C10.8226 20 11.1211 20.2985 11.1211 20.6667C11.1211 21.0349 10.8226 21.3333 10.4544 21.3333H3.78776C3.41957 21.3333 3.12109 21.0349 3.12109 20.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M24.4541 16.6667C24.4541 16.2985 24.7526 16 25.1208 16H29.1208C29.489 16 29.7874 16.2985 29.7874 16.6667C29.7874 17.0349 29.489 17.3333 29.1208 17.3333H25.1208C24.7526 17.3333 24.4541 17.0349 24.4541 16.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M24.4541 20.6667C24.4541 20.2985 24.7526 20 25.1208 20H29.1208C29.489 20 29.7874 20.2985 29.7874 20.6667C29.7874 21.0349 29.489 21.3333 29.1208 21.3333H25.1208C24.7526 21.3333 24.4541 21.0349 24.4541 20.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M3.12109 24.6667C3.12109 24.2985 3.41957 24 3.78776 24H10.4544C10.8226 24 11.1211 24.2985 11.1211 24.6667C11.1211 25.0349 10.8226 25.3333 10.4544 25.3333H3.78776C3.41957 25.3333 3.12109 25.0349 3.12109 24.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M24.4541 24.6667C24.4541 24.2985 24.7526 24 25.1208 24H29.1208C29.489 24 29.7874 24.2985 29.7874 24.6667C29.7874 25.0349 29.489 25.3333 29.1208 25.3333H25.1208C24.7526 25.3333 24.4541 25.0349 24.4541 24.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M15.1211 20.6667C15.1211 20.2985 15.4196 20 15.7878 20H19.7878C20.156 20 20.4544 20.2985 20.4544 20.6667C20.4544 21.0349 20.156 21.3333 19.7878 21.3333H15.7878C15.4196 21.3333 15.1211 21.0349 15.1211 20.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M15.1211 24.6667C15.1211 24.2985 15.4196 24 15.7878 24H19.7878C20.156 24 20.4544 24.2985 20.4544 24.6667C20.4544 25.0349 20.156 25.3333 19.7878 25.3333H15.7878C15.4196 25.3333 15.1211 25.0349 15.1211 24.6667Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M4.84463 27.0572C5.09468 26.8072 5.43381 26.6667 5.78743 26.6667H7.12077C7.47439 26.6667 7.81353 26.8072 8.06358 27.0572C8.31363 27.3073 8.4541 27.6464 8.4541 28V31.3334C8.4541 31.7015 8.15562 32 7.78744 32C7.41925 32 7.12077 31.7015 7.12077 31.3334V28L5.78744 28L5.78743 31.3334C5.78743 31.7015 5.48896 32 5.12077 32C4.75258 32 4.4541 31.7015 4.4541 31.3334V28C4.4541 27.6464 4.59458 27.3073 4.84463 27.0572Z"
                fill="#808080"
            />
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M26.1776 27.0572C26.4277 26.8072 26.7668 26.6667 27.1204 26.6667H28.4538C28.8074 26.6667 29.1465 26.8072 29.3966 27.0572C29.6466 27.3073 29.7871 27.6464 29.7871 28V31.3334C29.7871 31.7015 29.4886 32 29.1204 32C28.7523 32 28.4538 31.7015 28.4538 31.3334V28H27.1204V31.3334C27.1204 31.7015 26.822 32 26.4538 32C26.0856 32 25.7871 31.7015 25.7871 31.3334V28C25.7871 27.6464 25.9276 27.3073 26.1776 27.0572Z"
                fill="#808080"
            />
        </g>
        <defs>
            <clipPath id="clip0_259_11553">
                <rect width="32" height="32" fill="white" transform="translate(0.454102)" />
            </clipPath>
        </defs>
    </svg>
);

export const ResultsNavigationLeftLeft = () => (
    <svg width="17" height="26" viewBox="0 0 17 26" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g>
            <path
                d="M15.2246 23.5L3.67461 13L15.2246 2.5"
                stroke="#05668D"
                strokeWidth="3"
                strokeLinecap="round"
            />
            <path d="M1.6748 1.5V24.5" stroke="#05668D" strokeWidth="3" strokeLinecap="round" />
        </g>
    </svg>
);

export const ResultsNavigationLeft = () => (
    <svg width="17" height="24" viewBox="0 0 17 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M14.7754 22.5L3.22539 12L14.7754 1.5"
            stroke="#05668D"
            strokeWidth="3"
            strokeLinecap="round"
        />
    </svg>
);

export const BackIcon = () => (
    <svg width="16" height="24" viewBox="0 0 16 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M14.4541 22.5L2.99955 12L14.4541 1.5"
            stroke="#05668D"
            strokeWidth="3"
            strokeLinecap="round"
        />
    </svg>
);

export const ResultsNavigationRightRight = () => (
    <svg width="17" height="26" viewBox="0 0 17 26" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M1.77539 2.5L13.3254 13L1.77539 23.5"
            stroke="#05668D"
            strokeWidth="3"
            strokeLinecap="round"
        />
        <path
            d="M15.3252 24.5L15.3252 1.5"
            stroke="#05668D"
            strokeWidth="3"
            strokeLinecap="round"
        />
    </svg>
);

export const ResultsNavigationRight = () => (
    <svg width="15" height="24" viewBox="0 0 15 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M1.77539 1.5L12.7754 12L1.77539 22.5"
            stroke="#05668D"
            strokeWidth="3"
            strokeLinecap="round"
        />
    </svg>
);

export const FilterIcon = () => (
    <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g>
            <path
                d="M15.9293 0.368C15.8739 0.257404 15.7888 0.164409 15.6836 0.0994179C15.5783 0.0344271 15.457 4.15112e-06 15.3333 0L0.666667 0C0.542859 0 0.421497 0.0344764 0.31618 0.0995661C0.210862 0.164656 0.125751 0.257787 0.0703822 0.368524C0.0150136 0.479261 -0.00842454 0.603229 0.00269411 0.726537C0.0138128 0.849845 0.0590489 0.96762 0.133334 1.06667L6 8.94867V14.6667C6.00262 15.0195 6.14393 15.3571 6.39342 15.6066C6.6429 15.8561 6.98052 15.9974 7.33333 16C7.62188 16.0003 7.9027 15.9067 8.13333 15.7333L9.46667 14.7333C9.63199 14.6089 9.7662 14.4478 9.85875 14.2627C9.95129 14.0776 9.99964 13.8736 10 13.6667V8.94867L15.8667 1.06667C15.941 0.967538 15.9863 0.849654 15.9973 0.726242C16.0084 0.60283 15.9848 0.478776 15.9293 0.368ZM3.61133 1.46667L6.23733 4.96667C6.28061 5.02437 6.304 5.09454 6.304 5.16667V6C6.304 6.06996 6.28199 6.13815 6.24108 6.1949C6.20017 6.25166 6.14245 6.2941 6.07608 6.31623C6.00971 6.33835 5.93806 6.33903 5.87128 6.31817C5.8045 6.29731 5.74598 6.25597 5.704 6.2L2.41333 1.86667C2.37619 1.81714 2.35357 1.75826 2.34801 1.6966C2.34245 1.63495 2.35417 1.57296 2.38186 1.5176C2.40954 1.46223 2.4521 1.41566 2.50476 1.38312C2.55742 1.35057 2.6181 1.33333 2.68 1.33333H3.34667C3.39808 1.33364 3.44872 1.34584 3.49463 1.36897C3.54055 1.3921 3.58049 1.42554 3.61133 1.46667Z"
                fill="#05668D"
            />
        </g>
    </svg>
);

export const UpIcon = () => (
    <svg width="27" height="12" viewBox="0 0 27 12" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M0.859375 11.309L12.9518 0.831459C13.0028 0.787262 13.0654 0.751874 13.1356 0.727636C13.2058 0.703398 13.2819 0.690864 13.3588 0.690864C13.4358 0.690864 13.5119 0.703398 13.5821 0.727636C13.6522 0.751874 13.7149 0.787262 13.7659 0.831459L25.8594 11.309"
            stroke="#808080"
            strokeWidth="1.25"
            strokeLinecap="round"
            strokeLinejoin="round"
        />
    </svg>
);

export const DownIcon = () => (
    <svg width="27" height="13" viewBox="0 0 27 13" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M1 1L13.0924 11.4775C13.1434 11.5217 13.206 11.5571 13.2762 11.5813C13.3464 11.6056 13.4225 11.6181 13.4995 11.6181C13.5764 11.6181 13.6525 11.6056 13.7227 11.5813C13.7929 11.5571 13.8555 11.5217 13.9065 11.4775L26 1"
            stroke="#808080"
            strokeWidth="1.25"
            strokeLinecap="round"
            strokeLinejoin="round"
        />
    </svg>
);

export const OpenCapabilitiesIcon = () => (
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_355_5306)">
            <path
                d="M0.75 14.25V23.25"
                stroke="white"
                strokeWidth="1.875"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M0.75 21.75H17.25C17.25 20.9544 16.9339 20.1913 16.3713 19.6287C15.8087 19.0661 15.0456 18.75 14.25 18.75H10.5C10.5 17.9544 10.1839 17.1913 9.62132 16.6287C9.05871 16.0661 8.29565 15.75 7.5 15.75H0.75"
                stroke="white"
                strokeWidth="1.875"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M6.75 18.75H10.5"
                stroke="white"
                strokeWidth="1.875"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M15.9095 1.73001C16.0163 1.8464 16.1461 1.93933 16.2908 2.0029C16.4354 2.06647 16.5916 2.0993 16.7495 2.0993C16.9075 2.0993 17.0637 2.06647 17.2083 2.0029C17.3529 1.93933 17.4828 1.8464 17.5895 1.73001L18.1295 1.12001C18.2874 0.946132 18.4954 0.825734 18.7248 0.775554C18.9542 0.725374 19.1935 0.747904 19.4095 0.840013C19.6255 0.927714 19.8083 1.08116 19.9322 1.27859C20.056 1.47603 20.1146 1.70744 20.0995 1.94001V2.75001C20.0946 2.9081 20.1213 3.06558 20.178 3.21324C20.2346 3.3609 20.3202 3.49579 20.4295 3.61001C20.5438 3.71941 20.6787 3.80494 20.8263 3.8616C20.974 3.91826 21.1315 3.94492 21.2895 3.94001H22.0995C22.3321 3.92498 22.5635 3.98354 22.761 4.10739C22.9584 4.23123 23.1118 4.41408 23.1995 4.63001C23.2917 4.84601 23.3142 5.08534 23.264 5.31474C23.2138 5.54413 23.0934 5.7522 22.9195 5.91001L22.3095 6.45001C22.1932 6.5568 22.1002 6.68662 22.0367 6.83122C21.9731 6.97582 21.9403 7.13205 21.9403 7.29001C21.9403 7.44797 21.9731 7.60421 22.0367 7.74881C22.1002 7.89341 22.1932 8.02322 22.3095 8.13001L22.9195 8.67001C23.0934 8.82783 23.2138 9.03589 23.264 9.26529C23.3142 9.49468 23.2917 9.73401 23.1995 9.95001C23.1118 10.1659 22.9584 10.3488 22.761 10.4726C22.5635 10.5965 22.3321 10.655 22.0995 10.64H21.2895C21.131 10.6313 20.9724 10.6562 20.8241 10.7129C20.6758 10.7697 20.5411 10.857 20.4288 10.9693C20.3166 11.0816 20.2292 11.2163 20.1725 11.3646C20.1157 11.5129 20.0909 11.6715 20.0995 11.83V12.64C20.1146 12.8726 20.056 13.104 19.9322 13.3014C19.8083 13.4989 19.6255 13.6523 19.4095 13.74C19.1935 13.8321 18.9542 13.8547 18.7248 13.8045C18.4954 13.7543 18.2874 13.6339 18.1295 13.46L17.5895 12.85C17.4828 12.7336 17.3529 12.6407 17.2083 12.5771C17.0637 12.5136 16.9075 12.4807 16.7495 12.4807C16.5916 12.4807 16.4354 12.5136 16.2908 12.5771C16.1461 12.6407 16.0163 12.7336 15.9095 12.85L15.3695 13.46C15.2117 13.6339 15.0037 13.7543 14.7743 13.8045C14.5449 13.8547 14.3055 13.8321 14.0895 13.74C13.8736 13.6523 13.6908 13.4989 13.5669 13.3014C13.4431 13.104 13.3845 12.8726 13.3995 12.64V11.83C13.4082 11.6715 13.3834 11.5129 13.3266 11.3646C13.2699 11.2163 13.1825 11.0816 13.0703 10.9693C12.958 10.857 12.8233 10.7697 12.675 10.7129C12.5267 10.6562 12.3681 10.6313 12.2095 10.64H11.3995C11.167 10.655 10.9356 10.5965 10.7381 10.4726C10.5407 10.3488 10.3872 10.1659 10.2995 9.95001C10.2074 9.73401 10.1849 9.49468 10.2351 9.26529C10.2853 9.03589 10.4057 8.82783 10.5795 8.67001L11.1895 8.13001C11.3059 8.02322 11.3989 7.89341 11.4624 7.74881C11.526 7.60421 11.5588 7.44797 11.5588 7.29001C11.5588 7.13205 11.526 6.97582 11.4624 6.83122C11.3989 6.68662 11.3059 6.5568 11.1895 6.45001L10.5795 5.91001C10.4057 5.7522 10.2853 5.54413 10.2351 5.31474C10.1849 5.08534 10.2074 4.84601 10.2995 4.63001C10.3872 4.41408 10.5407 4.23123 10.7381 4.10739C10.9356 3.98354 11.167 3.92498 11.3995 3.94001H12.2095C12.3676 3.94492 12.5251 3.91826 12.6728 3.8616C12.8204 3.80494 12.9553 3.71941 13.0695 3.61001C13.1789 3.49579 13.2645 3.3609 13.3211 3.21324C13.3778 3.06558 13.4045 2.9081 13.3995 2.75001V1.94001C13.3845 1.70744 13.4431 1.47603 13.5669 1.27859C13.6908 1.08116 13.8736 0.927714 14.0895 0.840013C14.3055 0.747904 14.5449 0.725374 14.7743 0.775554C15.0037 0.825734 15.2117 0.946132 15.3695 1.12001L15.9095 1.73001Z"
                stroke="white"
                strokeWidth="1.875"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M16.75 9C17.7165 9 18.5 8.2165 18.5 7.25C18.5 6.2835 17.7165 5.5 16.75 5.5C15.7835 5.5 15 6.2835 15 7.25C15 8.2165 15.7835 9 16.75 9Z"
                stroke="white"
                strokeWidth="1.875"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
        </g>
        <defs>
            <clipPath id="clip0_355_5306">
                <rect width="24" height="24" fill="white" />
            </clipPath>
        </defs>
    </svg>
);

export const RectangleSelectIcon = () => (
    <svg width="14" height="13" viewBox="0 0 14 13" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g>
            <path
                d="M12.8857 2.76224C12.9372 2.72724 12.9789 2.68193 13.0077 2.62987C13.0365 2.5778 13.0514 2.52042 13.0514 2.46224C13.0514 2.40405 13.0365 2.34667 13.0077 2.29461C12.9789 2.24254 12.9372 2.19723 12.8857 2.16224L10.8572 0.789736C10.7956 0.747755 10.7222 0.722146 10.6453 0.715792C10.5684 0.709438 10.4911 0.722591 10.4221 0.753771C10.353 0.78495 10.295 0.832918 10.2545 0.892274C10.214 0.95163 10.1926 1.02002 10.1928 1.08974V1.83974C10.1928 1.87289 10.1782 1.90468 10.1523 1.92812C10.1263 1.95157 10.0911 1.96474 10.0544 1.96474H2.80958C2.51591 1.96474 2.23428 2.07009 2.02662 2.25763C1.81897 2.44517 1.70231 2.69952 1.70231 2.96474V9.50474C1.70231 9.53789 1.68773 9.56968 1.66177 9.59312C1.63582 9.61657 1.60061 9.62974 1.5639 9.62974H0.734561C0.657449 9.62974 0.58186 9.64913 0.516264 9.68574C0.450669 9.72235 0.397658 9.77474 0.363173 9.83703C0.328687 9.89932 0.314089 9.96905 0.321014 10.0384C0.327939 10.1078 0.356114 10.174 0.402381 10.2297L1.92377 12.0622C1.96251 12.1087 2.01269 12.1464 2.07033 12.1724C2.12798 12.1984 2.19152 12.2119 2.25595 12.2119C2.32037 12.2119 2.38391 12.1984 2.44156 12.1724C2.4992 12.1464 2.54938 12.1087 2.58812 12.0622L4.11062 10.2292C4.1571 10.1736 4.18546 10.1073 4.19249 10.0379C4.19953 9.96844 4.18496 9.89861 4.15044 9.83625C4.11592 9.77389 4.0628 9.72148 3.99708 9.6849C3.93136 9.64833 3.85563 9.62905 3.77844 9.62924H2.94799C2.91128 9.62924 2.87607 9.61607 2.85012 9.59262C2.82416 9.56918 2.80958 9.53739 2.80958 9.50424V3.21224C2.80958 3.14593 2.83874 3.08234 2.89066 3.03546C2.94257 2.98858 3.01298 2.96224 3.08639 2.96224H10.0539C10.0906 2.96224 10.1258 2.97541 10.1517 2.99885C10.1777 3.02229 10.1923 3.05408 10.1923 3.08724V3.83724C10.1921 3.90696 10.2134 3.97534 10.2539 4.0347C10.2944 4.09405 10.3525 4.14202 10.4215 4.1732C10.4905 4.20438 10.5679 4.21753 10.6447 4.21118C10.7216 4.20483 10.795 4.17922 10.8566 4.13724L12.8857 2.76224Z"
                fill="white"
            />
            <path
                d="M13.1903 10.9623C13.0802 10.9623 12.9746 11.0018 12.8967 11.0721C12.8188 11.1424 12.7751 11.2378 12.7751 11.3373V11.8373C12.7747 11.8703 12.7599 11.9019 12.7341 11.9252C12.7082 11.9486 12.6732 11.9619 12.6367 11.9623H12.083C11.9729 11.9623 11.8673 12.0018 11.7894 12.0721C11.7116 12.1424 11.6678 12.2378 11.6678 12.3373C11.6678 12.4367 11.7116 12.5321 11.7894 12.6024C11.8673 12.6728 11.9729 12.7123 12.083 12.7123H12.6367C12.8935 12.712 13.1398 12.6197 13.3214 12.4557C13.5031 12.2917 13.6052 12.0693 13.6055 11.8373V11.3373C13.6055 11.2378 13.5618 11.1424 13.4839 11.0721C13.406 11.0018 13.3004 10.9623 13.1903 10.9623Z"
                fill="white"
            />
            <path
                d="M10.1459 11.9623H9.59224C9.48212 11.9623 9.3765 12.0018 9.29863 12.0721C9.22076 12.1424 9.17702 12.2378 9.17702 12.3373C9.17702 12.4367 9.22076 12.5321 9.29863 12.6024C9.3765 12.6728 9.48212 12.7123 9.59224 12.7123H10.1459C10.256 12.7123 10.3616 12.6728 10.4395 12.6024C10.5174 12.5321 10.5611 12.4367 10.5611 12.3373C10.5611 12.2378 10.5174 12.1424 10.4395 12.0721C10.3616 12.0018 10.256 11.9623 10.1459 11.9623Z"
                fill="white"
            />
            <path
                d="M7.3777 11.9623H6.82407C6.71394 11.9623 6.60833 12.0018 6.53046 12.0721C6.45259 12.1424 6.40884 12.2378 6.40884 12.3373C6.40884 12.4367 6.45259 12.5321 6.53046 12.6024C6.60833 12.6728 6.71394 12.7123 6.82407 12.7123H7.3777C7.48783 12.7123 7.59344 12.6728 7.67131 12.6024C7.74918 12.5321 7.79293 12.4367 7.79293 12.3373C7.79293 12.2378 7.74918 12.1424 7.67131 12.0721C7.59344 12.0018 7.48783 11.9623 7.3777 11.9623Z"
                fill="white"
            />
            <path
                d="M4.60954 11.9623H4.05591C3.94579 11.9623 3.84017 12.0018 3.7623 12.0721C3.68443 12.1424 3.64069 12.2378 3.64069 12.3373C3.64069 12.4367 3.68443 12.5321 3.7623 12.6024C3.84017 12.6728 3.94579 12.7123 4.05591 12.7123H4.60954C4.71967 12.7123 4.82528 12.6728 4.90315 12.6024C4.98102 12.5321 5.02477 12.4367 5.02477 12.3373C5.02477 12.2378 4.98102 12.1424 4.90315 12.0721C4.82528 12.0018 4.71967 11.9623 4.60954 11.9623Z"
                fill="white"
            />
            <path
                d="M13.1903 8.71228C13.0802 8.71228 12.9746 8.75179 12.8967 8.82211C12.8188 8.89244 12.7751 8.98782 12.7751 9.08728V9.58728C12.7751 9.68674 12.8188 9.78212 12.8967 9.85245C12.9746 9.92277 13.0802 9.96228 13.1903 9.96228C13.3004 9.96228 13.406 9.92277 13.4839 9.85245C13.5618 9.78212 13.6055 9.68674 13.6055 9.58728V9.08728C13.6055 8.98782 13.5618 8.89244 13.4839 8.82211C13.406 8.75179 13.3004 8.71228 13.1903 8.71228Z"
                fill="white"
            />
            <path
                d="M13.1903 6.21228C13.0802 6.21228 12.9746 6.25179 12.8967 6.32212C12.8188 6.39244 12.7751 6.48782 12.7751 6.58728V7.08728C12.7751 7.18674 12.8188 7.28212 12.8967 7.35245C12.9746 7.42277 13.0802 7.46228 13.1903 7.46228C13.3004 7.46228 13.406 7.42277 13.4839 7.35245C13.5618 7.28212 13.6055 7.18674 13.6055 7.08728V6.58728C13.6055 6.48782 13.5618 6.39244 13.4839 6.32212C13.406 6.25179 13.3004 6.21228 13.1903 6.21228Z"
                fill="white"
            />
            <path
                d="M13.1903 3.71228C13.0802 3.71228 12.9746 3.75179 12.8967 3.82212C12.8188 3.89244 12.7751 3.98782 12.7751 4.08728V4.58728C12.7751 4.68674 12.8188 4.78212 12.8967 4.85245C12.9746 4.92277 13.0802 4.96228 13.1903 4.96228C13.3004 4.96228 13.406 4.92277 13.4839 4.85245C13.5618 4.78212 13.6055 4.68674 13.6055 4.58728V4.08728C13.6055 3.98782 13.5618 3.89244 13.4839 3.82212C13.406 3.75179 13.3004 3.71228 13.1903 3.71228Z"
                fill="white"
            />
        </g>
    </svg>
);

export const PointSelectIcon = () => (
    <svg width="14" height="13" viewBox="0 0 14 13" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g>
            <path
                d="M10.0069 0.715332C9.29517 0.715332 8.59942 0.905941 8.00763 1.26306C7.41584 1.62017 6.9546 2.12775 6.68222 2.72161C6.40985 3.31547 6.33859 3.96894 6.47744 4.59938C6.6163 5.22981 6.95903 5.80891 7.46231 6.26343C7.96558 6.71795 8.60679 7.02748 9.30486 7.15288C10.0029 7.27829 10.7265 7.21393 11.384 6.96794C12.0416 6.72196 12.6036 6.3054 12.9991 5.77094C13.3945 5.23648 13.6055 4.60812 13.6055 3.96533C13.6044 3.1037 13.2248 2.27767 12.5502 1.6684C11.8756 1.05914 10.961 0.716391 10.0069 0.715332ZM9.88013 2.38183C9.44882 2.38236 9.03535 2.53737 8.73042 2.81285C8.42549 3.08834 8.254 3.4618 8.25356 3.85133C8.25356 3.91764 8.22439 3.98122 8.17248 4.02811C8.12056 4.07499 8.05016 4.10133 7.97674 4.10133C7.90332 4.10133 7.83291 4.07499 7.781 4.02811C7.72909 3.98122 7.69992 3.91764 7.69992 3.85133C7.70051 3.32924 7.93038 2.82867 8.3391 2.45945C8.74783 2.09022 9.30203 1.88249 9.88013 1.88183C9.95355 1.88183 10.024 1.90817 10.0759 1.95506C10.1278 2.00194 10.1569 2.06553 10.1569 2.13183C10.1569 2.19814 10.1278 2.26172 10.0759 2.30861C10.024 2.35549 9.95355 2.38183 9.88013 2.38183Z"
                fill="white"
            />
            <path
                d="M5.82093 6.68483L0.561414 11.4348C0.484244 11.5045 0.423026 11.5872 0.381258 11.6782C0.339491 11.7692 0.317993 11.8668 0.317993 11.9653C0.317993 12.0639 0.339491 12.1614 0.381258 12.2525C0.423026 12.3435 0.484244 12.4262 0.561414 12.4958C0.719565 12.6324 0.929974 12.7087 1.14882 12.7087C1.36766 12.7087 1.57807 12.6324 1.73622 12.4958L6.99574 7.74583C7.07288 7.67616 7.13407 7.59346 7.17582 7.50243C7.21756 7.41141 7.23905 7.31385 7.23905 7.21533C7.23905 7.1168 7.21756 7.01925 7.17582 6.92822C7.13407 6.8372 7.07288 6.75449 6.99574 6.68483C6.9186 6.61516 6.82702 6.5599 6.72624 6.5222C6.62545 6.48449 6.51743 6.46509 6.40833 6.46509C6.29924 6.46509 6.19122 6.48449 6.09043 6.5222C5.98965 6.5599 5.89807 6.61516 5.82093 6.68483Z"
                fill="white"
            />
        </g>
    </svg>
);

export const GoToOpenIssuesIcon = () => (
    <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M11 20.375C16.1777 20.375 20.375 16.1777 20.375 11C20.375 5.82233 16.1777 1.625 11 1.625C5.82233 1.625 1.625 5.82233 1.625 11C1.625 16.1777 5.82233 20.375 11 20.375Z"
            stroke="#05668D"
            strokeWidth="1.875"
            strokeLinecap="round"
            strokeLinejoin="round"
        />
        <path
            d="M10.9993 13.0834C12.1499 13.0834 13.0827 12.1506 13.0827 11C13.0827 9.84943 12.1499 8.91669 10.9993 8.91669C9.84876 8.91669 8.91602 9.84943 8.91602 11C8.91602 12.1506 9.84876 13.0834 10.9993 13.0834Z"
            stroke="#05668D"
            strokeWidth="1.875"
            strokeLinecap="round"
            strokeLinejoin="round"
        />
    </svg>
);

export const SeeOtherCoursesIcon = () => (
    <svg width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_381_7034)">
            <path
                d="M8.5375 11.9334H2.06667C1.81684 11.9331 1.57733 11.8337 1.40076 11.657C1.22418 11.4803 1.125 11.2407 1.125 10.9909V1.57002C1.125 1.32028 1.22421 1.08076 1.40081 0.904165C1.5774 0.727568 1.81692 0.628357 2.06667 0.628357H14.3167C14.5664 0.628357 14.8059 0.727568 14.9825 0.904165C15.1591 1.08076 15.2583 1.32028 15.2583 1.57002V6.78086"
                stroke="#05668D"
                strokeWidth="1.5"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M5.83594 14.7592L6.3076 11.9333"
                stroke="#05668D"
                strokeWidth="1.5"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M4.42188 14.7592H8.53688"
                stroke="#05668D"
                strokeWidth="1.5"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M11.9766 4.86749V6.28083"
                stroke="#05668D"
                strokeWidth="1.5"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M10.0928 5.70502V8.16668C9.4506 8.7573 8.61433 9.09228 7.74198 9.10835C6.86742 9.09094 6.02899 8.75627 5.38281 8.16668V5.70502"
                stroke="#05668D"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M3.49805 4.8675L7.73721 6.75167L11.9764 4.8675L7.73721 2.98334L3.49805 4.8675Z"
                stroke="#05668D"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M14.4159 17.6917C16.5031 17.6917 18.1951 15.9997 18.1951 13.9125C18.1951 11.8254 16.5031 10.1334 14.4159 10.1334C12.3287 10.1334 10.6367 11.8254 10.6367 13.9125C10.6367 15.9997 12.3287 17.6917 14.4159 17.6917Z"
                stroke="#05668D"
                strokeWidth="1.5"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
            <path
                d="M17.0879 16.585L19.8746 19.3717"
                stroke="#05668D"
                strokeWidth="1.5"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
        </g>
        <defs>
            <clipPath id="clip0_381_7034">
                <rect width="20" height="20" fill="white" transform="translate(0.5)" />
            </clipPath>
        </defs>
    </svg>
);

export const InfoIcon = () => (
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g id="Frame">
            <path
                id="Vector"
                d="M11 7H13V9H11V7ZM11 11H13V17H11V11ZM12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 20C7.59 20 4 16.41 4 12C4 7.59 7.59 4 12 4C16.41 4 20 7.59 20 12C20 16.41 16.41 20 12 20Z"
                fill="#05668D"
            />
        </g>
    </svg>
);

export const DownloadMetadataIcon = () => (
    <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_311_7994)">
            <path
                d="M10.3564 14.9722C10.3441 14.8563 10.2405 14.7569 10.1102 14.7569H9.40019C9.30082 14.7569 9.19738 14.6761 9.17051 14.5767C9.10019 14.3305 9.01113 14.0944 8.88894 13.8833C8.82894 13.7819 8.84129 13.67 8.92207 13.5874L9.41676 13.0761C9.50582 12.983 9.51191 12.8485 9.43332 12.7471C9.21598 12.4697 8.95519 12.2192 8.67582 11.9874C8.57644 11.9066 8.42957 11.9231 8.34457 12.0039L7.83535 12.4986C7.75879 12.5731 7.63457 12.5835 7.53723 12.5317C7.32191 12.4178 7.09223 12.3185 6.84582 12.2524C6.72988 12.2213 6.66363 12.1364 6.66363 12.0205V11.3125C6.66363 11.18 6.58082 11.0786 6.45051 11.0641C6.26969 11.0445 6.088 11.0341 5.90613 11.033C5.80269 11.033 5.70129 11.0372 5.5977 11.0433C5.5191 11.0496 5.44035 11.0556 5.36176 11.0639C5.30183 11.0722 5.24694 11.1019 5.20733 11.1476C5.16771 11.1933 5.14607 11.2519 5.14645 11.3124V12.0203C5.14645 12.1197 5.06566 12.2231 4.96629 12.2522C4.90207 12.2708 4.83801 12.2894 4.77582 12.3102C4.59785 12.3702 4.42801 12.4406 4.27285 12.5316C4.17145 12.5916 4.05973 12.5792 3.97691 12.4985L3.46566 12.0038C3.42246 11.961 3.36501 11.9357 3.3043 11.9326C3.24359 11.9296 3.18388 11.949 3.1366 11.9872C2.85926 12.2046 2.60879 12.4674 2.3791 12.7469C2.29629 12.8463 2.31285 12.9931 2.39363 13.076L2.88832 13.5872C2.96285 13.6638 2.97316 13.786 2.92145 13.8831C2.80973 14.0985 2.70816 14.3302 2.64207 14.5766C2.61098 14.6925 2.52613 14.7567 2.4102 14.7567H1.70223C1.56973 14.7567 1.46832 14.8396 1.45598 14.9721C1.43461 15.1527 1.42355 15.3345 1.42285 15.5164C1.42285 15.6966 1.4352 15.8786 1.45598 16.0608C1.46832 16.1747 1.56988 16.2741 1.70223 16.2741H2.4102C2.50957 16.2741 2.61301 16.3549 2.64207 16.4563C2.71238 16.7025 2.79941 16.9364 2.92145 17.1477C2.98145 17.2511 2.97113 17.361 2.88832 17.4458L2.39363 17.955C2.35066 17.9987 2.32538 18.0567 2.3227 18.1179C2.32002 18.179 2.34011 18.239 2.3791 18.2863C2.59645 18.5636 2.85723 18.812 3.1366 19.0439C3.23598 19.1267 3.38285 19.1081 3.46566 19.0274L3.97691 18.5327C4.05348 18.4602 4.17566 18.4478 4.27285 18.4996C4.48816 18.6135 4.71988 18.7127 4.96629 18.7811C5.08223 18.8122 5.14645 18.895 5.14645 19.0108V19.7208C5.14645 19.8513 5.22926 19.9527 5.36176 19.9671C5.54191 19.9856 5.72395 20.0002 5.90613 20.0002C6.08629 20.0002 6.26832 19.9878 6.45051 19.9671C6.56644 19.9547 6.66363 19.8511 6.66363 19.7208V19.0108C6.66363 18.9114 6.74441 18.808 6.84582 18.7811C7.09207 18.7108 7.32598 18.6217 7.53723 18.4996C7.64066 18.4396 7.75035 18.4519 7.83535 18.5327L8.34457 19.0274C8.38822 19.0701 8.44602 19.0954 8.50705 19.0985C8.56809 19.1015 8.62812 19.0821 8.67582 19.0439C8.95316 18.8266 9.2016 18.5658 9.43332 18.2863C9.51613 18.1869 9.49754 18.04 9.41676 17.955L8.95926 17.4852L8.92207 17.4458C8.84957 17.3692 8.83723 17.245 8.88894 17.1477C8.96973 16.9924 9.04426 16.831 9.10629 16.6613C9.1291 16.595 9.15176 16.5267 9.17051 16.4564C9.2016 16.3405 9.28441 16.2742 9.40019 16.2742H10.1102C10.2407 16.2742 10.3421 16.1914 10.3564 16.061C10.375 15.8788 10.3896 15.6966 10.3896 15.5166C10.3896 15.3346 10.3771 15.1524 10.3564 14.9722ZM6.96176 17.4852C6.633 17.6649 6.26425 17.7589 5.88957 17.7585C4.65379 17.7585 3.64785 16.7525 3.64785 15.5167C3.64785 14.6847 4.10316 13.9581 4.77598 13.5731C5.11408 13.3766 5.49848 13.2737 5.88957 13.2752C7.12535 13.2752 8.13129 14.2791 8.13129 15.5169C8.13129 15.935 8.01535 16.3263 7.8166 16.6616C7.60978 17.0071 7.31473 17.2914 6.96176 17.4852ZM15.833 2.16705H4.90691C4.59395 2.16705 4.33832 2.42268 4.33832 2.73846V11.0688C4.42441 11.04 4.51348 11.0142 4.60254 10.9883C4.74035 10.9481 4.85238 10.8046 4.85238 10.6667V9.68471C4.85238 9.50096 4.9902 9.36018 5.15098 9.34018C5.25996 9.3292 5.36909 9.31961 5.47832 9.31143V3.30986H15.2616V17.1046H10.3455C10.2596 17.3358 10.1589 17.5612 10.0439 17.7794C9.97223 17.9144 9.98941 18.0866 10.0899 18.1928L10.1416 18.2474H15.833C16.146 18.2474 16.4016 17.9917 16.4016 17.676V2.73846C16.4016 2.42252 16.146 2.16705 15.833 2.16705ZM6.34645 0.000175524H18.0069C18.1583 0.000216919 18.3035 0.0603774 18.4106 0.167435C18.5177 0.274494 18.5779 0.419689 18.578 0.571113V16.2599C18.5731 16.4094 18.5098 16.551 18.4016 16.6543C18.2934 16.7576 18.149 16.8143 17.9995 16.8123C17.8499 16.8103 17.7071 16.7496 17.6018 16.6434C17.4964 16.5373 17.437 16.394 17.4361 16.2444V1.14205H6.33082C6.25584 1.14102 6.1818 1.12524 6.11293 1.0956C6.04405 1.06596 5.98169 1.02304 5.92939 0.969303C5.8771 0.915561 5.83591 0.852045 5.80817 0.782384C5.78042 0.712722 5.76667 0.638277 5.76769 0.563301C5.76872 0.488324 5.7845 0.414284 5.81414 0.345407C5.84378 0.27653 5.8867 0.214166 5.94044 0.161875C5.99418 0.109584 6.0577 0.0683903 6.12736 0.0406458C6.19702 0.0129014 6.27147 -0.000850429 6.34645 0.000175524ZM14.1072 11.1289H7.00019C6.84144 11.1289 6.71301 11.0005 6.71301 10.8417C6.71301 10.683 6.84144 10.5546 7.00019 10.5546H14.1072C14.266 10.5546 14.3944 10.683 14.3944 10.8417C14.3944 11.0005 14.266 11.1289 14.1072 11.1289ZM14.1072 9.40611H6.43035C6.39263 9.40613 6.35528 9.39872 6.32042 9.38429C6.28557 9.36987 6.2539 9.34872 6.22723 9.32204C6.20056 9.29537 6.17941 9.2637 6.16498 9.22885C6.15056 9.194 6.14314 9.15665 6.14316 9.11893C6.14316 8.96018 6.2716 8.83174 6.43035 8.83174H14.1072C14.266 8.83174 14.3944 8.96018 14.3944 9.11893C14.3944 9.15665 14.387 9.194 14.3726 9.22885C14.3582 9.2637 14.337 9.29537 14.3103 9.32204C14.2837 9.34872 14.252 9.36987 14.2172 9.38429C14.1823 9.39872 14.1449 9.40613 14.1072 9.40611ZM14.1072 7.68314H6.43035C6.2716 7.68314 6.14316 7.55471 6.14316 7.39596C6.14316 7.23721 6.2716 7.10877 6.43035 7.10877H14.1072C14.266 7.10877 14.3944 7.23721 14.3944 7.39596C14.3944 7.55471 14.266 7.68314 14.1072 7.68314ZM14.1072 5.96033H6.43035C6.39263 5.96035 6.35528 5.95294 6.32042 5.93851C6.28557 5.92409 6.2539 5.90293 6.22723 5.87626C6.20056 5.84959 6.17941 5.81792 6.16498 5.78307C6.15056 5.74822 6.14314 5.71086 6.14316 5.67314C6.14316 5.51439 6.2716 5.38596 6.43035 5.38596H14.1072C14.266 5.38596 14.3944 5.51439 14.3944 5.67314C14.3944 5.71086 14.387 5.74822 14.3726 5.78307C14.3582 5.81792 14.337 5.84959 14.3103 5.87626C14.2837 5.90293 14.252 5.92409 14.2172 5.93851C14.1823 5.95294 14.1449 5.96035 14.1072 5.96033Z"
                fill="#05668D"
            />
        </g>
        <defs>
            <clipPath id="clip0_311_7994">
                <rect width="20" height="20" fill="white" />
            </clipPath>
        </defs>
    </svg>
);

export const GoToLocationBtnIcon = () => (
    <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M10 6.36364C7.99091 6.36364 6.36364 7.99091 6.36364 10C6.36364 12.0091 7.99091 13.6364 10 13.6364C12.0091 13.6364 13.6364 12.0091 13.6364 10C13.6364 7.99091 12.0091 6.36364 10 6.36364ZM18.1273 9.09091C17.7091 5.3 14.7 2.29091 10.9091 1.87273V0H9.09091V1.87273C5.3 2.29091 2.29091 5.3 1.87273 9.09091H0V10.9091H1.87273C2.29091 14.7 5.3 17.7091 9.09091 18.1273V20H10.9091V18.1273C14.7 17.7091 17.7091 14.7 18.1273 10.9091H20V9.09091H18.1273ZM10 16.3636C6.48182 16.3636 3.63636 13.5182 3.63636 10C3.63636 6.48182 6.48182 3.63636 10 3.63636C13.5182 3.63636 16.3636 6.48182 16.3636 10C16.3636 13.5182 13.5182 16.3636 10 16.3636Z"
            fill="#05668D"
        />
    </svg>
);

export const MapMarkerIcon = () => (
    <svg width="31" height="43" viewBox="0 0 31 43" fill="none" xmlns="http://www.w3.org/2000/svg">
        <g clipPath="url(#clip0_1621_6724)">
            <circle cx="15.5" cy="15.5" r="5.5" fill="white" />
            <path
                d="M15.4978 42C15.9477 42.0017 16.3903 41.8871 16.7828 41.6673C17.1752 41.4477 17.5042 41.1304 17.7379 40.7462C19.4889 37.8954 22.4085 32.9909 24.8937 28.0739C26.1362 25.6156 27.2787 23.1373 28.1129 20.9007C28.9368 18.6917 29.5 16.6159 29.5 15V14.9989C29.4958 11.2874 28.0196 7.72918 25.3952 5.10478C22.7708 2.48039 19.2126 1.00417 15.5011 0.999998L15.4989 1C11.7874 1.00417 8.22918 2.48039 5.60478 5.10478C2.98038 7.72918 1.50417 11.2874 1.5 14.9989V15C1.5 16.6144 2.06328 18.6893 2.88714 20.8978C3.7213 23.134 4.86384 25.6123 6.1063 28.071C8.59208 32.9899 11.5124 37.8976 13.2633 40.7497L13.2638 40.7505C13.4988 41.1325 13.8277 41.4479 14.2193 41.6666C14.61 41.8849 15.0502 41.9997 15.4978 42ZM15.4978 42C15.497 42 15.4961 42 15.4952 42L15.5 41L15.5003 42C15.4995 42 15.4986 42 15.4978 42ZM15.5 19.6875C14.5729 19.6875 13.6666 19.4126 12.8958 18.8975C12.1249 18.3824 11.5241 17.6504 11.1693 16.7938C10.8145 15.9373 10.7217 14.9948 10.9026 14.0855C11.0834 13.1762 11.5299 12.341 12.1854 11.6854C12.841 11.0299 13.6762 10.5834 14.5855 10.4026C15.4948 10.2217 16.4373 10.3145 17.2938 10.6693C18.1504 11.0241 18.8824 11.6249 19.3975 12.3958C19.9126 13.1666 20.1875 14.0729 20.1875 15C20.1875 16.2432 19.6936 17.4355 18.8146 18.3146C17.9355 19.1936 16.7432 19.6875 15.5 19.6875Z"
                fill="#22C0D2"
                stroke="white"
                strokeWidth="2"
            />
        </g>
        <defs>
            <clipPath id="clip0_1621_6724">
                <rect width="31" height="43" fill="white" />
            </clipPath>
        </defs>
    </svg>
);
